package resolver

// This file will be automatically regenerated based on the schema, any resolver implementations
// will be copied through when generating and any unknown code will be moved to the end.
// Code generated by github.com/99designs/gqlgen version v0.17.40

import (
	"context"

	"gitlab.com/talgat.s/belka-go/graph/generated"
	"gitlab.com/talgat.s/belka-go/pkg/utils"
)

// Ping is the resolver for the ping field.
func (r *mutationResolver) Ping(ctx context.Context) (*string, error) {
	r.Log.InfoContext(ctx, "start mutation Ping")

	r.Log.InfoContext(ctx, "success mutation Ping")
	return utils.ToPtr("Pong"), nil
}

// PingAuthorized is the resolver for the pingAuthorized field.
func (r *mutationResolver) PingAuthorized(ctx context.Context) (*string, error) {
	r.Log.InfoContext(ctx, "start mutation PingAuthorized")

	r.Log.InfoContext(ctx, "success mutation PingAuthorized")
	return utils.ToPtr("Pong"), nil
}

// Mutation returns generated.MutationResolver implementation.
func (r *Resolver) Mutation() generated.MutationResolver { return &mutationResolver{r} }

type mutationResolver struct{ *Resolver }
